#!/bin/sh

# ccase_wk.sh - ClearCase tasks to be performed weekly
#
# Licensed Materials - Property of IBM
# Rational ClearCase
# (C) Copyright IBM Corp. 1991, 2014.  All Rights Reserved.
# US Government Users Restricted Rights -
# Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp

ATRIA_DIR=${CLEARCASEHOME:-${ATRIAHOME:-/opt/rational/clearcase}}
ATRIA_VAR_DIR="/var/adm/rational/clearcase"

# Clean out the log files
if [ -f $ATRIA_DIR/config/scheduler/tasks/cleanlogs.sh ]
then 
    /bin/sh $ATRIA_DIR/config/scheduler/tasks/cleanlogs.sh
fi

# Scrub local VOBs
if [ -f $ATRIA_DIR/config/scheduler/tasks/vob_scrubber.sh ]
then 
    /bin/sh $ATRIA_DIR/config/scheduler/tasks/vob_scrubber.sh
fi

# Run any local commands ...
if [ -f $ATRIA_VAR_DIR/scheduler/tasks/ccase_local_wk.sh ]
then
	/bin/sh $ATRIA_VAR_DIR/scheduler/tasks/ccase_local_wk.sh
fi

exit 0
